Gtk2::ScaleButton(3)

NAME
Gtk2::ScaleButton

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::ScaleButton

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Glib::Object::_Unregistered::GtkOrientable
  Glib::Object::_Unregistered::GtkActivatable

METHODS

  widget = Gtk2::ScaleButton->new ($size, $min, $max, $step, ...)

* $size (Gtk2::IconSize)
* $min (double)
* $max (double)
* $step (double)
* ... (list)

  adjustment = $button->get_adjustment

  $button->set_adjustment ($adjustment)

* $adjustment (Gtk2::Adjustment)

  $button->set_icons (...)
* ... (list)

  widget = $button->get_minus_button
Since: gtk+ 2.14

  orientation = $button->get_orientation
Since: gtk+ 2.14

  $button->set_orientation ($orientation)

* $orientation (Gtk2::Orientation)

Since: gtk+ 2.14

  widget = $button->get_plus_button
Since: gtk+ 2.14

  widget = $button->get_popup
Since: gtk+ 2.14

  double = $button->get_value

  $button->set_value ($value)

* $value (double)

PROPERTIES
'adjustment' (Gtk2::Adjustment : readable / writable / private)
    The GtkAdjustment that contains the current value of this scale button object

'icons' (Glib::Strv : readable / writable / private)
    List of icon names

'size' (Gtk2::IconSize : readable / writable / private)
    The icon size

'value' (double : readable / writable / private)
    The value of the scale

SIGNALS

value-changed (Gtk2::ScaleButton, double)
popup (Gtk2::ScaleButton)
popdown (Gtk2::ScaleButton)

ENUMS AND FLAGS

  enum Gtk2::IconSize

* 'invalid' / 'GTK_ICON_SIZE_INVALID'
* 'menu' / 'GTK_ICON_SIZE_MENU'
* 'small-toolbar' / 'GTK_ICON_SIZE_SMALL_TOOLBAR'
* 'large-toolbar' / 'GTK_ICON_SIZE_LARGE_TOOLBAR'
* 'button' / 'GTK_ICON_SIZE_BUTTON'
* 'dnd' / 'GTK_ICON_SIZE_DND'
* 'dialog' / 'GTK_ICON_SIZE_DIALOG'

  enum Gtk2::Orientation

* 'horizontal' / 'GTK_ORIENTATION_HORIZONTAL'
* 'vertical' / 'GTK_ORIENTATION_VERTICAL'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Bin, Gtk2::Button

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.